Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.system.logging
Class Log

    java.lang.Object
      net.sf.jftp.system.logging.Log

    public class Log

extends java.lang.Object

Method Summary
`static void` | `clearCache()`
`static void` | `debug(java.lang.String msg)`
`static void` | `debugRaw(java.lang.String msg)`
`static void` | `devnull(java.lang.Object msg)`
`static java.lang.String` | `getCache()`
`static void` | `out(java.lang.String msg)`
`static void` | `setLogger(Logger logger)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setLogger

    public static void setLogger(Logger logger)

### debug

    public static void debug(java.lang.String msg)

### debugRaw

    public static void debugRaw(java.lang.String msg)

### out

    public static void out(java.lang.String msg)

### devnull

    public static void devnull(java.lang.Object msg)

### getCache

    public static java.lang.String getCache()

### clearCache

    public static void clearCache()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD